/*++Config.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  java.util.HashMap;
import  java.util.Vector;


/**
 * Class paths, special classes, etc.
 *
 * @author  slh
 * @version  0.00 2003/07/30 slh
 */
abstract public
class  Config
extends  edu.washington.cac.calendar.icalendar.Config
{

/*----------------------------------------------------------------------------
 *						Class Protected Constants
 *--------------------------------------------------------------------------*/

 /* these are specific to this package */
  final static protected  HashMap	hmClassToNameComponent	=
							new HashMap(  );
  final static protected  HashMap	hmClassToNameProperty	=
							new HashMap(  );
  final static protected  HashMap	hmClassToNameParameter	=
							new HashMap(  );


/*----------------------------------------------------------------------------
 *						Class Protected Variables
 *--------------------------------------------------------------------------*/

  /*Note: this is actually intended to be constant,
    but need to be non-final for setup in static
  */
  static protected  String	strClassPath;


/*----------------------------------------------------------------------------
 *						Class Public Methods
 *--------------------------------------------------------------------------*/

  /**
   * Call this early on.
   */
  static public
  void
  init  (boolean	bProcessTexts	)
  {
    /*void*/edu.washington.cac.calendar.icalendar.Config.
		init( bProcessTexts );
  }


  /**
   * Call this early on.
   */
  static public
  void
  init  (		)
  {
    /*void*/edu.washington.cac.calendar.icalendar.Config.init(  );
  }


/*----------------------------------------------------------------------------
 *						Class Initializers
 *--------------------------------------------------------------------------*/

  static
  {
    strClassPath = Config.class.getName(  );
    strClassPath = strClassPath.substring(
		0 , strClassPath.lastIndexOf( '.' ) );

    /*void*/putClassToName( hmClassToNameComponent ,
		VAgenda.class , Names.strComp_VAgenda );
    /*void*/putClassToName( hmClassToNameComponent ,
		VCAR.class , Names.strComp_VCAR );
    /*void*/putClassToName( hmClassToNameComponent ,
		VCalStore.class , Names.strComp_VCalStore );
    /*void*/putClassToName( hmClassToNameComponent ,
		VQuery.class , Names.strComp_VQuery );
    /*void*/putClassToName( hmClassToNameComponent ,
		VReply.class , Names.strComp_VReply );
    /*void*/putClassToName( hmClassToNameComponent ,
		VRight.class , Names.strComp_VRight );
    /* derived components */
//???
    /*void*/putClassToName( hmClassToNameComponent ,
		VCalendar.class , Names.strVCalendar );
//???
//    /*void*/putClassToName( hmClassToNameComponent ,
//		VCalendarReply.class , Names.strVCalendar );
    /*void*/putClassToName( hmClassToNameProperty ,
		MaxCompSize.class , Names.strProp_MaxCompSize );
    /*void*/putClassToName( hmClassToNameProperty ,
		RecurLimit.class , Names.strProp_RecurLimit );
    /*void*/putClassToName( hmClassToNameProperty ,
		CAPVersion.class , Names.strProp_CAPVersion );
    /*void*/putClassToName( hmClassToNameProperty ,
		CARID.class , Names.strProp_CARID );
    /*void*/putClassToName( hmClassToNameProperty ,
		Name.class , Names.strProp_Name );
    /*void*/putClassToName( hmClassToNameProperty ,
		QueryId.class , Names.strProp_QueryId );
    /*void*/putClassToName( hmClassToNameProperty ,
		CARLevel.class , Names.strProp_CARLevel );
    /*void*/putClassToName( hmClassToNameProperty ,
		Cmd.class , Names.strProp_Cmd );
    /*void*/putClassToName( hmClassToNameProperty ,
		Permission.class , Names.strProp_Permission );
    /*void*/putClassToName( hmClassToNameProperty ,
		QueryLevel.class , Names.strProp_QueryLevel );
    /*void*/putClassToName( hmClassToNameProperty ,
		Transp.class , Names.strProp_Transp );
    /*void*/putClassToName( hmClassToNameProperty ,
		AllowConflict.class , Names.strProp_AllowConflict );
    /*void*/putClassToName( hmClassToNameProperty ,
		StoresExpanded.class , Names.strProp_StoresExpanded );
    /*void*/putClassToName( hmClassToNameProperty ,
		RecurAccepted.class , Names.strProp_RecurAccepted );
    /*void*/putClassToName( hmClassToNameProperty ,
		RecurExpand.class , Names.strProp_RecurExpand );
    /*void*/putClassToName( hmClassToNameProperty ,
		Decreed.class , Names.strProp_Decreed );
    /*void*/putClassToName( hmClassToNameProperty ,
		Expand.class , Names.strProp_Expand );
    /*void*/putClassToName( hmClassToNameProperty ,
		Components.class , Names.strProp_Components );
    /*void*/putClassToName( hmClassToNameProperty ,
		ITIPVersion.class , Names.strProp_ITIPVersion );
    /*void*/putClassToName( hmClassToNameProperty ,
		MultiPart.class , Names.strProp_MultiPart );
    /*void*/putClassToName( hmClassToNameProperty ,
		Children.class , Names.strProp_Children );
    /*void*/putClassToName( hmClassToNameProperty ,
		DefaultCharSet.class , Names.strProp_DefaultCharSet );
    /*void*/putClassToName( hmClassToNameProperty ,
		DefaultLocale.class , Names.strProp_DefaultLocale );
    /*void*/putClassToName( hmClassToNameProperty ,
		DefaultTZID.class , Names.strProp_DefaultTZID );
    /*void*/putClassToName( hmClassToNameProperty ,
		DefaultVCARs.class , Names.strProp_DefaultVCARs );
    /*void*/putClassToName( hmClassToNameProperty ,
		Target.class , Names.strProp_Target );
    /*void*/putClassToName( hmClassToNameProperty ,
		CSID.class , Names.strProp_CSID );
    /*void*/putClassToName( hmClassToNameProperty ,
		CalMaster.class , Names.strProp_CalMaster );
    /*void*/putClassToName( hmClassToNameProperty ,
		AttCounter.class , Names.strProp_AttCounter );
    /*void*/putClassToName( hmClassToNameProperty ,
		Owner.class , Names.strProp_Owner );
    /*void*/putClassToName( hmClassToNameProperty ,
		MaxDate.class , Names.strProp_MaxDate );
    /*void*/putClassToName( hmClassToNameProperty ,
		MinDate.class , Names.strProp_MinDate );
    /*void*/putClassToName( hmClassToNameProperty ,
		RequestStatus.class , Names.strProp_RequestStatus );
    /*void*/putClassToName( hmClassToNameProperty ,
		Query.class , Names.strProp_Query );
    /*void*/putClassToName( hmClassToNameProperty ,
		Restriction.class , Names.strProp_Restriction );
    /*void*/putClassToName( hmClassToNameProperty ,
		Scope.class , Names.strProp_Scope );
    /*void*/putClassToName( hmClassToNameProperty ,
		Deny.class , Names.strProp_Deny );
    /*void*/putClassToName( hmClassToNameProperty ,
		Grant.class , Names.strProp_Grant );
    /*void*/putClassToName( hmClassToNameProperty ,
		CalId.class , Names.strProp_CalId );
    /*void*/putClassToName( hmClassToNameParameter ,
		LatencyParam.class , Names.strParam_Latency );
    /*void*/putClassToName( hmClassToNameParameter ,
		OptionsParam.class , Names.strParam_Options );
//???
//    /*void*/putClassToName( hmClassToNameParameter ,
//		CmdGenerateUIDOptionsParam.class ,
//		Names.strParam_Options );
    /*void*/putClassToName( hmClassToNameParameter ,
		IDParam.class , Names.strParam_Id );
    /*void*/putClassToName( hmClassToNameParameter ,
		LocalizeParam.class , Names.strParam_Localize );
//???
//    /*void*/putClassToName( hmClassToNameParameter ,
//		CmdSetLocaleOptionsParam.class ,
//		Names.strParam_Options );
    /*void*/putClassToName( hmClassToNameParameter ,
		ActionParam.class , Names.strParam_Action );
//???
//    /*void*/putClassToName( hmClassToNameParameter ,
//		CmdDeleteOptionsParam.class ,
//		Names.strParam_Options );
    /*void*/putClassToName( hmClassToNameParameter ,
		EnableParam.class , Names.strParam_Enable );
    /*void*/putClassToName( hmClassToNameParameter ,
		LocalParam.class , Names.strParam_Local );
//???
//    /*void*/putClassToName( hmClassToNameParameter ,
//		CmdIdentifyOptionsParam.class ,
//		Names.strParam_Options );

    /*void*/putAllClassToName( hmClassToNameAllComponent ,
			       hmClassToNameComponent );
    /*void*/putAllClassToName( hmClassToNameAllProperty ,
			       hmClassToNameProperty );
    /*void*/putAllClassToName( hmClassToNameAllParameter ,
			       hmClassToNameParameter );
  }


/*----------------------------------------------------------------------------
 *						Main
 *--------------------------------------------------------------------------*/

  static public
  void  main  (String	argv[]	)
  {
    /*void*/System.out.println( "# # # " + Config.hmClassToNameAllParameter );
  }

}


/* Log:
 *  0.00  2003/01/07, 2003/01/21 ... 2003/02/12, 2003/04/23, 2003/04/28
 *        2003/07/30  slh
 *        create
 */
/*--Config.java-------------------------------------------------------------*/
